{% extends 'partials/layout.html.twig' %}

{% block content %}
	{% set categories = [] %}
	{% set types = [] %}
	{% set statuses = [] %}
	{% set fields = [] %}
	{% for component in page.header.custom.components %}
		{% set p = pages.find(component.page) %}

		{% for k, v in p.taxonomy.category %}
			{% set categories = categories|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.type %}
			{% set types = types|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.status %}
			{% set statuses = statuses|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.field %}
			{% set fields = fields|merge([v]) %}
		{% endfor %}
	{% endfor %}
	{% set categories = categories|array_unique %}
	{% set types = types|array_unique %}
	{% set statuses = statuses|array_unique %}
	{% set fields = fields|array_unique %}
		
	
	<div class="page_block">
		<div class="page_menu">
			{% include('/partials/page_header_logo.html.twig') with {'black': true} %}
			{% if page.header.custom.showLeftMenu %}
			<div class="side_menu">
				<h2 class="title">
					{{'JOBTECH.CONTENT.FIELDS_OF_FOCUS'|t}}
				</h2>
				<div>
					{% for field in fields %}
						{# <div class="menu_item" onclick="setFieldFilter({{loop.index0}}, {{json_encode(fields)}})"> #}
							<span>{{field}}</span>
					</div>
					{% endfor %}
				</div>
			</div>
			{% endif %}
		</div>
		

		
		<div class="lg:w-1084px justify-center mx-auto">
		
			
				
			<div class="flex justify-center">	
				{% include('/partials/breadcrumbs.html.twig') %}
			</div>
			<div class="mx-3">
				<div id="main" class="text-center lg:mx-60px">				
						<h1 class=" font-roboto_slab text-xl uppercase mt-60px mb-30px font-black">
							{{page.header.custom.title|raw}}
						</h1>
					<h2 class="mb-60px font-playfair text-18/26  lg:text-40/45 whitespace-break-spaces w-full font-normal ">{{page.header.custom.text}}</h2>
					
				</div>
				
				
				
				<div id="component_list">
					<div class="grid grid-cols-1 lg:grid-cols-2 gap-60px lg:mx-60px lg:my-60px mb-30px mx-3" >
				
						{% for p in page.header.custom.projects %}
							{% set project = pages.find(p.page) %}
							
									
							{% include('/partials/project_short.html.twig') with {'page': project, 'isUri': true, 'url': p.page|e} %}				
					
						
						{% endfor %}

				
					</div>
					
				</div>
			</div>
		</div>
		
	</div>
	
{% endblock %}
